# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

loglik_lamb <- function(par, Dm, eta) {
    .Call('_icensmis_loglik_lamb', PACKAGE = 'icensmis', par, Dm, eta)
}

gradlik_lamb <- function(par, Dm, eta) {
    .Call('_icensmis_gradlik_lamb', PACKAGE = 'icensmis', par, Dm, eta)
}

loglik_pw <- function(par, Dm, eta, breaks) {
    .Call('_icensmis_loglik_pw', PACKAGE = 'icensmis', par, Dm, eta, breaks)
}

gradlik_pw <- function(par, Dm, eta, breaks) {
    .Call('_icensmis_gradlik_pw', PACKAGE = 'icensmis', par, Dm, eta, breaks)
}

maxlambda <- function(Dm, Xmat, parm, fitsurv) {
    .Call('_icensmis_maxlambda', PACKAGE = 'icensmis', Dm, Xmat, parm, fitsurv)
}

iclasso <- function(Dm, Xmat, parmi, lambda, fitsurv, tol) {
    .Call('_icensmis_iclasso', PACKAGE = 'icensmis', Dm, Xmat, parmi, lambda, fitsurv, tol)
}

maxlambda_pw <- function(Dm, Xmat, parm, breaks, fitsurv_pw) {
    .Call('_icensmis_maxlambda_pw', PACKAGE = 'icensmis', Dm, Xmat, parm, breaks, fitsurv_pw)
}

iclasso_pw <- function(Dm, Xmat, parmi, breaks, lambda, fitsurv_pw, tol) {
    .Call('_icensmis_iclasso_pw', PACKAGE = 'icensmis', Dm, Xmat, parmi, breaks, lambda, fitsurv_pw, tol)
}

#' Bayesian method for high-dimensional variable selection
#' 
#' @param Dm the D matrix
#' @param Xmat the design matrix
#' @param b the prior distribution parameter for beta, normal std
#' @param om1 the prior distribution parameter for omega
#' @param om2 the piror distribution parameter for omega
#' @param niter number of iteration
#' @param psample the sampling probability for updading regresson coefficient
#' @param initsurv initial survival probabilities at end of study
#' @param nreport every how many iterations to output parameters
#' @param fitsurv the survival parameters optimization function
#' @export
bayesmc <- function(Dm, Xmat, b, om1, om2, niter, psample, initsurv, nreport, fitsurv) {
    .Call('_icensmis_bayesmc', PACKAGE = 'icensmis', Dm, Xmat, b, om1, om2, niter, psample, initsurv, nreport, fitsurv)
}

bayesmc_pw <- function(Dm, Xmat, breaks, b, om1, om2, niter, psample, initsurv, nreport, fitsurv_pw) {
    .Call('_icensmis_bayesmc_pw', PACKAGE = 'icensmis', Dm, Xmat, breaks, b, om1, om2, niter, psample, initsurv, nreport, fitsurv_pw)
}

gamma_mean <- function(outgamma, start) {
    .Call('_icensmis_gamma_mean', PACKAGE = 'icensmis', outgamma, start)
}

Xmat_decode <- function(Xmat) {
    invisible(.Call('_icensmis_Xmat_decode', PACKAGE = 'icensmis', Xmat))
}

Xmat_decode3 <- function(Xmat) {
    invisible(.Call('_icensmis_Xmat_decode3', PACKAGE = 'icensmis', Xmat))
}

Xmat_norm <- function(Xmat) {
    .Call('_icensmis_Xmat_norm', PACKAGE = 'icensmis', Xmat)
}

loglik_raw <- function(parm, Dm, Xmat, sdv) {
    .Call('_icensmis_loglik_raw', PACKAGE = 'icensmis', parm, Dm, Xmat, sdv)
}

loglik_pw_raw <- function(parm, breaks, Dm, Xmat, sdv) {
    .Call('_icensmis_loglik_pw_raw', PACKAGE = 'icensmis', parm, breaks, Dm, Xmat, sdv)
}

maxlambda_raw <- function(Dm, Xmat, sdv, parm, fitsurv) {
    .Call('_icensmis_maxlambda_raw', PACKAGE = 'icensmis', Dm, Xmat, sdv, parm, fitsurv)
}

iclasso_raw <- function(Dm, Xmat, sdv, parmi, lambda, fitsurv, tol) {
    .Call('_icensmis_iclasso_raw', PACKAGE = 'icensmis', Dm, Xmat, sdv, parmi, lambda, fitsurv, tol)
}

maxlambda_pw_raw <- function(Dm, Xmat, sdv, parm, breaks, fitsurv_pw) {
    .Call('_icensmis_maxlambda_pw_raw', PACKAGE = 'icensmis', Dm, Xmat, sdv, parm, breaks, fitsurv_pw)
}

iclasso_pw_raw <- function(Dm, Xmat, sdv, parmi, breaks, lambda, fitsurv_pw, tol) {
    .Call('_icensmis_iclasso_pw_raw', PACKAGE = 'icensmis', Dm, Xmat, sdv, parmi, breaks, lambda, fitsurv_pw, tol)
}

matrixStandardize <- function(X) {
    invisible(.Call('_icensmis_matrixStandardize', PACKAGE = 'icensmis', X))
}

dmat <- function(id, time, result, phi1, phi0, negpred) {
    .Call('_icensmis_dmat', PACKAGE = 'icensmis', id, time, result, phi1, phi0, negpred)
}

getrids <- function(id, nsub) {
    .Call('_icensmis_getrids', PACKAGE = 'icensmis', id, nsub)
}

timeMat <- function(nsub, J, time, utime, Xmat) {
    .Call('_icensmis_timeMat', PACKAGE = 'icensmis', nsub, J, time, utime, Xmat)
}

loglikA0 <- function(parm, Dm) {
    .Call('_icensmis_loglikA0', PACKAGE = 'icensmis', parm, Dm)
}

gradlikA0 <- function(parm, Dm) {
    .Call('_icensmis_gradlikA0', PACKAGE = 'icensmis', parm, Dm)
}

loglikA <- function(parm, Dm, Xmat) {
    .Call('_icensmis_loglikA', PACKAGE = 'icensmis', parm, Dm, Xmat)
}

gradlikA <- function(parm, Dm, Xmat) {
    .Call('_icensmis_gradlikA', PACKAGE = 'icensmis', parm, Dm, Xmat)
}

loglikTA <- function(parm, Dm, TXmat) {
    .Call('_icensmis_loglikTA', PACKAGE = 'icensmis', parm, Dm, TXmat)
}

gradlikTA <- function(parm, Dm, TXmat) {
    .Call('_icensmis_gradlikTA', PACKAGE = 'icensmis', parm, Dm, TXmat)
}

loglikB0 <- function(parm1, Dm) {
    .Call('_icensmis_loglikB0', PACKAGE = 'icensmis', parm1, Dm)
}

gradlikB0 <- function(parm1, Dm) {
    .Call('_icensmis_gradlikB0', PACKAGE = 'icensmis', parm1, Dm)
}

loglikB <- function(parm, Dm, Xmat) {
    .Call('_icensmis_loglikB', PACKAGE = 'icensmis', parm, Dm, Xmat)
}

gradlikB <- function(parm, Dm, Xmat) {
    .Call('_icensmis_gradlikB', PACKAGE = 'icensmis', parm, Dm, Xmat)
}

loglikTB <- function(parm, Dm, TXmat) {
    .Call('_icensmis_loglikTB', PACKAGE = 'icensmis', parm, Dm, TXmat)
}

gradlikTB <- function(parm, Dm, TXmat) {
    .Call('_icensmis_gradlikTB', PACKAGE = 'icensmis', parm, Dm, TXmat)
}

loglikC0 <- function(parm, Dm) {
    .Call('_icensmis_loglikC0', PACKAGE = 'icensmis', parm, Dm)
}

gradlikC0 <- function(parm, Dm) {
    .Call('_icensmis_gradlikC0', PACKAGE = 'icensmis', parm, Dm)
}

loglikC <- function(parm, Dm, Xmat) {
    .Call('_icensmis_loglikC', PACKAGE = 'icensmis', parm, Dm, Xmat)
}

gradlikC <- function(parm, Dm, Xmat) {
    .Call('_icensmis_gradlikC', PACKAGE = 'icensmis', parm, Dm, Xmat)
}

powerdmat1 <- function(phi1, phi0, J, negpred) {
    .Call('_icensmis_powerdmat1', PACKAGE = 'icensmis', phi1, phi0, J, negpred)
}

powerdmat2 <- function(phi1, phi0, J, negpred, pmiss, censor) {
    .Call('_icensmis_powerdmat2', PACKAGE = 'icensmis', phi1, phi0, J, negpred, pmiss, censor)
}

powerdmat3 <- function(phi1, phi0, J, negpred) {
    .Call('_icensmis_powerdmat3', PACKAGE = 'icensmis', phi1, phi0, J, negpred)
}

powerdmat4 <- function(phi1, phi0, J, negpred, pmiss, censor) {
    .Call('_icensmis_powerdmat4', PACKAGE = 'icensmis', phi1, phi0, J, negpred, pmiss, censor)
}

